import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    url: '/login',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 注册方法
export function register(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}

// 获取租户Id
export function getSnmsTenantId(userName) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: `/snms/getTenantId/${userName}`,
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}